// ##########################################
// Implementierung der Klasse DynamischeListe
// ##########################################
#include <stdio.h>
#include "DynamischeListe.h"

//Gibt das erste Element der Liste zurck
VeryLong DynamischeListe::GetFirst()
{
	if (Wurzel!=NULL)
	{
		Position=Wurzel->Next;
		return Wurzel->Wert;
	}
	else
	{
		VeryLong temp;
		return temp;
	}
}

//Gibt das von der Position folgende Element zurck
VeryLong DynamischeListe::GetNext()
{
	if (Position!=NULL)
	{
		VeryLong temp;
		temp=Position->Wert;
		Position=Position->Next;
		return temp;
	}
	else
	{
		VeryLong temp;
		return temp;
	}
}

//Fgt am Ende der Liste ein Element an
void DynamischeListe::AddNext(VeryLong Wert)
{
	DynamischeListeElement *Element;
	Element=new DynamischeListeElement;
	
	Element->Wert=Wert;

	if (Wurzel==NULL)
		Wurzel=Element;
	else
		Letztes->Next=Element;

	Count=Count+1;
	Letztes=Element;
}

//Gibt das letzte Element der Liste zurck
VeryLong DynamischeListe::GetLast()
{
	if (Letztes!=NULL)
	{
		return Letztes->Wert;
	}
	else
	{
		VeryLong temp;
		return temp;
	}
}

//Konstruktor
DynamischeListe::DynamischeListe()
{
	Wurzel=Letztes=Position=NULL;
	Count=0;
}

//Destruktor
DynamischeListe::~DynamischeListe()
{
	while (Wurzel!=NULL)
	{
		Letztes=Wurzel->Next;
		delete Wurzel;
		Wurzel=Letztes;
	}
}

// #################################################
// Implementierung der Klasse DynamischeListeElement
// #################################################
// Zur Bereitstellung einer Zahl

//Konstruktor
DynamischeListeElement::DynamischeListeElement()
{
	Wert=0;
	Next=NULL;
}

//Destruktor
DynamischeListeElement::~DynamischeListeElement()
{
}
